HSA/FSA Card Acceptance

API Explorer
https://test.spinpos.net:443/SPIn/cgi.html
GET

Health Savings Account (HSA) and Flexible Spending Account (FSA) cards are commonly used to pay for qualified medical, health, and wellness-related expenses. With this capability, healthcare providers (e.g., clinics, dental offices, pharmacies) can process payments for eligible services and products directly using HSA/FSA cards.

Follow the steps and references outlined in this section to accept and transmit HSA/FSA card data from the integrated Dejavoo payment terminal to the payment processor.

Request Body

application/xml

Response Body

application/xml

curl -X GET "https://example.com" \  -H "Content-Type: application/xml" \  -d '<request>    <PaymentType>Credit</PaymentType>    <TransType>Sale</TransType>    <Amount>50.00</Amount>    <Tip>0.00</Tip>    <CashbackAmount>0.00</CashbackAmount>    <CustomFee>0.00</CustomFee>    <RefId>1</RefId>    <RegisterId/>    <AuthKey/>    <HSA_TotalAmount>30</HSA_TotalAmount>    <HSA_RxAmount>10</HSA_RxAmount>    <HSA_ClinicAmount>10</HSA_ClinicAmount>    <HSA_DentalAmount>10</HSA_DentalAmount>    <HSA_VisionAmount>10</HSA_VisionAmount>    <PrintReceipt>No</PrintReceipt>    <SigCapture>No</SigCapture>    <IsTxnStatusScreenRequired>true</IsTxnStatusScreenRequired>  </request>'
<response>
  <Message>yourMessage</Message>
  <RefId>yourRefId</RefId>
  <RegisterId>yourRegisterId</RegisterId>
  <ResultCode>yourResultCode</ResultCode>
  <PaymentType>yourPaymentType</PaymentType>
  <TransType>yourTransType</TransType>
  <SN>yourSN</SN>
  <ExtData>yourExtData</ExtData>
</response>